package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 光纤交换机端口
 * @author luyanchao
 * @since 2019/6/5 14:28
 */
@Table("san_fabric_port")
public class SanFabricPort extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("fabric_id")
    private Long fabricId; // 所属光纤交换机id
    @Column("number")
    private Integer number; // 端口号
    @Column("wwn")
    private String wwn; // 唯一标识
    @Column("type")
    private String type; // 类型
    @Column("npiv_enabled")
    private Boolean npivEnabled; // 是否支持npiv虚拟机技术
    @Column("speed")
    private String speed; // 端口速率,
    @Column("max_speed")
    private String maxSpeed; // 最大端口速率

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getFabricId() {
        return fabricId;
    }

    public void setFabricId(Long fabricId) {
        this.fabricId = fabricId;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getWwn() {
        return wwn;
    }

    public void setWwn(String wwn) {
        this.wwn = wwn;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Boolean getNpivEnabled() {
        return npivEnabled;
    }

    public void setNpivEnabled(Boolean npivEnabled) {
        this.npivEnabled = npivEnabled;
    }

    public String getSpeed() {
        return speed;
    }

    public void setSpeed(String speed) {
        this.speed = speed;
    }

    public String getMaxSpeed() {
        return maxSpeed;
    }

    public void setMaxSpeed(String maxSpeed) {
        this.maxSpeed = maxSpeed;
    }
}
